import javax.annotation.Resource;
import javax.ejb.EJB;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
@EJB(name = "audit", beanInterface = AnotherEJBLocal.class)
public class EmployeeBean implements EmployeeServiceLocal, EmployeeServiceRemote {
  @PersistenceContext(unitName = "EmployeeService")
  private EntityManager manager;

  @Resource
  SessionContext context;

  public void doAction() {
    AnotherEJBLocal audit = (AnotherEJBLocal) context.lookup("audit");
    audit.doAnother();

  }
}
